
public class Class284 {

   static final int anInt3333 = 4;
   static int anInt3334;
   int[][][] anIntArrayArrayArray3335 = new int[2][2][4];
   static final float aFloat3336 = 32.703197F;
   int[] anIntArray3337 = new int[2];
   static float[][] aFloatArrayArray3338 = new float[2][8];
   static int[][] anIntArrayArray3339 = new int[2][8];
   static float aFloat3340;
   int[][][] anIntArrayArrayArray3341 = new int[2][2][4];
   static final float aFloat3342 = 100.0F;
   static final float aFloat3343 = 8.0F;
   int[] anIntArray3344 = new int[2];


   static float method5211(float var0) {
      float var1 = 32.703197F * (float)Math.pow(2.0D, (double)var0);
      return var1 * 3.1415927F / 11025.0F;
   }

   float method5212(int var1, int var2, float var3) {
      float var4 = (float)this.anIntArrayArrayArray3341[var1][0][var2] + var3 * (float)(this.anIntArrayArrayArray3341[var1][1][var2] - this.anIntArrayArrayArray3341[var1][0][var2]);
      var4 *= 0.0015258789F;
      return 1.0F - (float)Math.pow(10.0D, (double)(-var4 / 20.0F));
   }

   static float method5213(float var0) {
      float var1 = 32.703197F * (float)Math.pow(2.0D, (double)var0);
      return var1 * 3.1415927F / 11025.0F;
   }

   float method5214(int var1, int var2, float var3) {
      float var4 = (float)this.anIntArrayArrayArray3335[var1][0][var2] + var3 * (float)(this.anIntArrayArrayArray3335[var1][1][var2] - this.anIntArrayArrayArray3335[var1][0][var2]);
      var4 *= 1.2207031E-4F;
      return method5211(var4);
   }

   int method5215(int var1, float var2) {
      float var3;
      if(var1 == 0) {
         var3 = (float)this.anIntArray3337[0] + (float)(this.anIntArray3337[1] - this.anIntArray3337[0]) * var2;
         var3 *= 0.0030517578F;
         aFloat3340 = (float)Math.pow(0.1D, (double)(var3 / 20.0F));
         anInt3334 = (int)(aFloat3340 * 65536.0F);
      }

      if(this.anIntArray3344[var1] == 0) {
         return 0;
      } else {
         var3 = this.method5212(var1, 0, var2);
         aFloatArrayArray3338[var1][0] = -2.0F * var3 * (float)Math.cos((double)this.method5214(var1, 0, var2));
         aFloatArrayArray3338[var1][1] = var3 * var3;

         int var4;
         for(var4 = 1; var4 < this.anIntArray3344[var1]; ++var4) {
            var3 = this.method5212(var1, var4, var2);
            float var5 = -2.0F * var3 * (float)Math.cos((double)this.method5214(var1, var4, var2));
            float var6 = var3 * var3;
            aFloatArrayArray3338[var1][var4 * 2 + 1] = aFloatArrayArray3338[var1][var4 * 2 - 1] * var6;
            aFloatArrayArray3338[var1][var4 * 2] = aFloatArrayArray3338[var1][var4 * 2 - 1] * var5 + aFloatArrayArray3338[var1][var4 * 2 - 2] * var6;

            for(int var7 = var4 * 2 - 1; var7 >= 2; --var7) {
               aFloatArrayArray3338[var1][var7] += aFloatArrayArray3338[var1][var7 - 1] * var5 + aFloatArrayArray3338[var1][var7 - 2] * var6;
            }

            aFloatArrayArray3338[var1][1] += aFloatArrayArray3338[var1][0] * var5 + var6;
            aFloatArrayArray3338[var1][0] += var5;
         }

         if(var1 == 0) {
            for(var4 = 0; var4 < this.anIntArray3344[0] * 2; ++var4) {
               aFloatArrayArray3338[0][var4] *= aFloat3340;
            }
         }

         for(var4 = 0; var4 < this.anIntArray3344[var1] * 2; ++var4) {
            anIntArrayArray3339[var1][var4] = (int)(aFloatArrayArray3338[var1][var4] * 65536.0F);
         }

         return this.anIntArray3344[var1] * 2;
      }
   }

   final void method5216(RS2Buffer var1, Class201 var2) {
      int var3 = var1.readUnsignedByte(-700559597);
      this.anIntArray3344[0] = var3 >> 4;
      this.anIntArray3344[1] = var3 & 15;
      if(var3 != 0) {
         this.anIntArray3337[0] = var1.readUnsignedShort(-937710807);
         this.anIntArray3337[1] = var1.readUnsignedShort(-937710807);
         int var4 = var1.readUnsignedByte(-700559597);

         int var5;
         int var6;
         for(var5 = 0; var5 < 2; ++var5) {
            for(var6 = 0; var6 < this.anIntArray3344[var5]; ++var6) {
               this.anIntArrayArrayArray3335[var5][0][var6] = var1.readUnsignedShort(-937710807);
               this.anIntArrayArrayArray3341[var5][0][var6] = var1.readUnsignedShort(-937710807);
            }
         }

         for(var5 = 0; var5 < 2; ++var5) {
            for(var6 = 0; var6 < this.anIntArray3344[var5]; ++var6) {
               if((var4 & 1 << var5 * 4 << var6) != 0) {
                  this.anIntArrayArrayArray3335[var5][1][var6] = var1.readUnsignedShort(-937710807);
                  this.anIntArrayArrayArray3341[var5][1][var6] = var1.readUnsignedShort(-937710807);
               } else {
                  this.anIntArrayArrayArray3335[var5][1][var6] = this.anIntArrayArrayArray3335[var5][0][var6];
                  this.anIntArrayArrayArray3341[var5][1][var6] = this.anIntArrayArrayArray3341[var5][0][var6];
               }
            }
         }

         if(var4 != 0 || this.anIntArray3337[1] != this.anIntArray3337[0]) {
            var2.method3435(var1);
         }
      } else {
         int[] var7 = this.anIntArray3337;
         this.anIntArray3337[1] = 0;
         var7[0] = 0;
      }

   }

   float method5217(int var1, int var2, float var3) {
      float var4 = (float)this.anIntArrayArrayArray3335[var1][0][var2] + var3 * (float)(this.anIntArrayArrayArray3335[var1][1][var2] - this.anIntArrayArrayArray3335[var1][0][var2]);
      var4 *= 1.2207031E-4F;
      return method5211(var4);
   }

   int method5218(int var1, float var2) {
      float var3;
      if(var1 == 0) {
         var3 = (float)this.anIntArray3337[0] + (float)(this.anIntArray3337[1] - this.anIntArray3337[0]) * var2;
         var3 *= 0.0030517578F;
         aFloat3340 = (float)Math.pow(0.1D, (double)(var3 / 20.0F));
         anInt3334 = (int)(aFloat3340 * 65536.0F);
      }

      if(this.anIntArray3344[var1] == 0) {
         return 0;
      } else {
         var3 = this.method5212(var1, 0, var2);
         aFloatArrayArray3338[var1][0] = -2.0F * var3 * (float)Math.cos((double)this.method5214(var1, 0, var2));
         aFloatArrayArray3338[var1][1] = var3 * var3;

         int var4;
         for(var4 = 1; var4 < this.anIntArray3344[var1]; ++var4) {
            var3 = this.method5212(var1, var4, var2);
            float var5 = -2.0F * var3 * (float)Math.cos((double)this.method5214(var1, var4, var2));
            float var6 = var3 * var3;
            aFloatArrayArray3338[var1][var4 * 2 + 1] = aFloatArrayArray3338[var1][var4 * 2 - 1] * var6;
            aFloatArrayArray3338[var1][var4 * 2] = aFloatArrayArray3338[var1][var4 * 2 - 1] * var5 + aFloatArrayArray3338[var1][var4 * 2 - 2] * var6;

            for(int var7 = var4 * 2 - 1; var7 >= 2; --var7) {
               aFloatArrayArray3338[var1][var7] += aFloatArrayArray3338[var1][var7 - 1] * var5 + aFloatArrayArray3338[var1][var7 - 2] * var6;
            }

            aFloatArrayArray3338[var1][1] += aFloatArrayArray3338[var1][0] * var5 + var6;
            aFloatArrayArray3338[var1][0] += var5;
         }

         if(var1 == 0) {
            for(var4 = 0; var4 < this.anIntArray3344[0] * 2; ++var4) {
               aFloatArrayArray3338[0][var4] *= aFloat3340;
            }
         }

         for(var4 = 0; var4 < this.anIntArray3344[var1] * 2; ++var4) {
            anIntArrayArray3339[var1][var4] = (int)(aFloatArrayArray3338[var1][var4] * 65536.0F);
         }

         return this.anIntArray3344[var1] * 2;
      }
   }

   int method5219(int var1, float var2) {
      float var3;
      if(var1 == 0) {
         var3 = (float)this.anIntArray3337[0] + (float)(this.anIntArray3337[1] - this.anIntArray3337[0]) * var2;
         var3 *= 0.0030517578F;
         aFloat3340 = (float)Math.pow(0.1D, (double)(var3 / 20.0F));
         anInt3334 = (int)(aFloat3340 * 65536.0F);
      }

      if(this.anIntArray3344[var1] == 0) {
         return 0;
      } else {
         var3 = this.method5212(var1, 0, var2);
         aFloatArrayArray3338[var1][0] = -2.0F * var3 * (float)Math.cos((double)this.method5214(var1, 0, var2));
         aFloatArrayArray3338[var1][1] = var3 * var3;

         int var4;
         for(var4 = 1; var4 < this.anIntArray3344[var1]; ++var4) {
            var3 = this.method5212(var1, var4, var2);
            float var5 = -2.0F * var3 * (float)Math.cos((double)this.method5214(var1, var4, var2));
            float var6 = var3 * var3;
            aFloatArrayArray3338[var1][var4 * 2 + 1] = aFloatArrayArray3338[var1][var4 * 2 - 1] * var6;
            aFloatArrayArray3338[var1][var4 * 2] = aFloatArrayArray3338[var1][var4 * 2 - 1] * var5 + aFloatArrayArray3338[var1][var4 * 2 - 2] * var6;

            for(int var7 = var4 * 2 - 1; var7 >= 2; --var7) {
               aFloatArrayArray3338[var1][var7] += aFloatArrayArray3338[var1][var7 - 1] * var5 + aFloatArrayArray3338[var1][var7 - 2] * var6;
            }

            aFloatArrayArray3338[var1][1] += aFloatArrayArray3338[var1][0] * var5 + var6;
            aFloatArrayArray3338[var1][0] += var5;
         }

         if(var1 == 0) {
            for(var4 = 0; var4 < this.anIntArray3344[0] * 2; ++var4) {
               aFloatArrayArray3338[0][var4] *= aFloat3340;
            }
         }

         for(var4 = 0; var4 < this.anIntArray3344[var1] * 2; ++var4) {
            anIntArrayArray3339[var1][var4] = (int)(aFloatArrayArray3338[var1][var4] * 65536.0F);
         }

         return this.anIntArray3344[var1] * 2;
      }
   }

   final void method5220(RS2Buffer var1, Class201 var2) {
      int var3 = var1.readUnsignedByte(-700559597);
      this.anIntArray3344[0] = var3 >> 4;
      this.anIntArray3344[1] = var3 & 15;
      if(var3 != 0) {
         this.anIntArray3337[0] = var1.readUnsignedShort(-937710807);
         this.anIntArray3337[1] = var1.readUnsignedShort(-937710807);
         int var4 = var1.readUnsignedByte(-700559597);

         int var5;
         int var6;
         for(var5 = 0; var5 < 2; ++var5) {
            for(var6 = 0; var6 < this.anIntArray3344[var5]; ++var6) {
               this.anIntArrayArrayArray3335[var5][0][var6] = var1.readUnsignedShort(-937710807);
               this.anIntArrayArrayArray3341[var5][0][var6] = var1.readUnsignedShort(-937710807);
            }
         }

         for(var5 = 0; var5 < 2; ++var5) {
            for(var6 = 0; var6 < this.anIntArray3344[var5]; ++var6) {
               if((var4 & 1 << var5 * 4 << var6) != 0) {
                  this.anIntArrayArrayArray3335[var5][1][var6] = var1.readUnsignedShort(-937710807);
                  this.anIntArrayArrayArray3341[var5][1][var6] = var1.readUnsignedShort(-937710807);
               } else {
                  this.anIntArrayArrayArray3335[var5][1][var6] = this.anIntArrayArrayArray3335[var5][0][var6];
                  this.anIntArrayArrayArray3341[var5][1][var6] = this.anIntArrayArrayArray3341[var5][0][var6];
               }
            }
         }

         if(var4 != 0 || this.anIntArray3337[1] != this.anIntArray3337[0]) {
            var2.method3435(var1);
         }
      } else {
         int[] var7 = this.anIntArray3337;
         this.anIntArray3337[1] = 0;
         var7[0] = 0;
      }

   }

   final void method5221(RS2Buffer var1, Class201 var2) {
      int var3 = var1.readUnsignedByte(-700559597);
      this.anIntArray3344[0] = var3 >> 4;
      this.anIntArray3344[1] = var3 & 15;
      if(var3 != 0) {
         this.anIntArray3337[0] = var1.readUnsignedShort(-937710807);
         this.anIntArray3337[1] = var1.readUnsignedShort(-937710807);
         int var4 = var1.readUnsignedByte(-700559597);

         int var5;
         int var6;
         for(var5 = 0; var5 < 2; ++var5) {
            for(var6 = 0; var6 < this.anIntArray3344[var5]; ++var6) {
               this.anIntArrayArrayArray3335[var5][0][var6] = var1.readUnsignedShort(-937710807);
               this.anIntArrayArrayArray3341[var5][0][var6] = var1.readUnsignedShort(-937710807);
            }
         }

         for(var5 = 0; var5 < 2; ++var5) {
            for(var6 = 0; var6 < this.anIntArray3344[var5]; ++var6) {
               if((var4 & 1 << var5 * 4 << var6) != 0) {
                  this.anIntArrayArrayArray3335[var5][1][var6] = var1.readUnsignedShort(-937710807);
                  this.anIntArrayArrayArray3341[var5][1][var6] = var1.readUnsignedShort(-937710807);
               } else {
                  this.anIntArrayArrayArray3335[var5][1][var6] = this.anIntArrayArrayArray3335[var5][0][var6];
                  this.anIntArrayArrayArray3341[var5][1][var6] = this.anIntArrayArrayArray3341[var5][0][var6];
               }
            }
         }

         if(var4 != 0 || this.anIntArray3337[1] != this.anIntArray3337[0]) {
            var2.method3435(var1);
         }
      } else {
         int[] var7 = this.anIntArray3337;
         this.anIntArray3337[1] = 0;
         var7[0] = 0;
      }

   }

   final void method5222(RS2Buffer var1, Class201 var2) {
      int var3 = var1.readUnsignedByte(-700559597);
      this.anIntArray3344[0] = var3 >> 4;
      this.anIntArray3344[1] = var3 & 15;
      if(var3 != 0) {
         this.anIntArray3337[0] = var1.readUnsignedShort(-937710807);
         this.anIntArray3337[1] = var1.readUnsignedShort(-937710807);
         int var4 = var1.readUnsignedByte(-700559597);

         int var5;
         int var6;
         for(var5 = 0; var5 < 2; ++var5) {
            for(var6 = 0; var6 < this.anIntArray3344[var5]; ++var6) {
               this.anIntArrayArrayArray3335[var5][0][var6] = var1.readUnsignedShort(-937710807);
               this.anIntArrayArrayArray3341[var5][0][var6] = var1.readUnsignedShort(-937710807);
            }
         }

         for(var5 = 0; var5 < 2; ++var5) {
            for(var6 = 0; var6 < this.anIntArray3344[var5]; ++var6) {
               if((var4 & 1 << var5 * 4 << var6) != 0) {
                  this.anIntArrayArrayArray3335[var5][1][var6] = var1.readUnsignedShort(-937710807);
                  this.anIntArrayArrayArray3341[var5][1][var6] = var1.readUnsignedShort(-937710807);
               } else {
                  this.anIntArrayArrayArray3335[var5][1][var6] = this.anIntArrayArrayArray3335[var5][0][var6];
                  this.anIntArrayArrayArray3341[var5][1][var6] = this.anIntArrayArrayArray3341[var5][0][var6];
               }
            }
         }

         if(var4 != 0 || this.anIntArray3337[1] != this.anIntArray3337[0]) {
            var2.method3435(var1);
         }
      } else {
         int[] var7 = this.anIntArray3337;
         this.anIntArray3337[1] = 0;
         var7[0] = 0;
      }

   }
}
